Subject: Package Paths should be relative to TYPO3_site

Description

Ok, this one is quite complicated to explain.

In short: The Backend does not work if you use multiple domains with virtual hosts (see screenshot). Using paths relative to
TYPQO3_site for packages would fix this bug.

| have the following Apache Setup for virtual hosts:

<VirtualHost *:80>
ServerName local-dev
ServerAlias *.dev
VirtualDocumentRoot /var/www/%-2+
</VirtualHost>

This means, when | visit www.example.de.dev Apache looks for files in /var/www/www.example.de/* and when | visit
www.example.com it looks in /var/www/www.example.com/*

(Both folders are symlinks to the same folder)

This makes it possible to easily work on different domains in a local setup.

When | now visit the backend via www.example.de/typo3/ the package manager sees /var/www/www.example.de as Document Root

and uses it as packagePath.

This information is written to the Cache (cache_core/PackageObjects HASH)

Then | visit the backend via www.example.com/typo3/. The cache is read and the package paths are

/var/www/www.example.de/typo3/sysext/t3skin/ instead of example.com.

This leads to incorrect links to stylesheets (see screenshot).

Using relative paths in the cache would fix this problem. Another fix could be to use different caches based on the hostname or
document root.

Related issues:
duplicates Core - Bug # 58288: Cache that write absolute paths needs PATH_sit... Resolved 2014-04-28
http://www.example.de.dev
http://www.example.com
http://www.example.de/typo3/
http://www.example.com/typo3/

History

#1 - 2014-07-10 14:11 - Markus Klein
- Status changed from New to Accepted

I'm rather sure this is a duplicate, but | can't find it atm.

#2 - 2014-07-10 17:35 - Helmut Hummel
- Status changed from Accepted to Closed

Thanks for the report. | will close this as duplicate. Please comment and watch #58288

#3 - 2014-07-10 18:13 - Helmut Hummel

Please test: https://review.typo3.0rg/31565
